Package org.codehaus.janino

# Class Java.BooleanRvalue

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.BooleanRvalue

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Direct Known Subclasses:
  `Java.BinaryOperation`, `Java.UnaryOperation`

Enclosing class:
  `Java`

public abstract static class Java.BooleanRvalue extends Java.Rvalue
Base class for `Java.Rvalue`s that compile better as conditional branches.

## Field Summary

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BooleanRvalue(Location location)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalueOrCompileException, toString, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Constructor Details

### BooleanRvalue

protected BooleanRvalue(Location location)